Skip to main content
GET
/
v2
/
wallets
/
yield-sources
List yield sources
curl --request GET \
  --url https://sandbox.groundtech.co/v2/wallets/yield-sources \
  --header 'Authorization: Bearer <token>'
{
  "yieldSources": [
    {
      "id": "syrup-usdc",
      "name": "Syrup USDC",
      "description": "Overcollateralized lending exposure with an asynchronous withdrawal window",
      "mode": "active",
      "apyBps": 453,
      "protocol": "maple",
      "tvlUsd": 1200000000,
      "utilizationPct": 82.5,
      "addresses": [
        {
          "label": "Pool",
          "value": "0x80ac24aa929eaf5013f6436cda2a7ba190f5cc0b"
        }
      ],
      "links": [
        {
          "label": "Maple earn",
          "url": "https://maple.finance/syrup"
        }
      ],
      "allocations": [
        {
          "label": "Open-term loans",
          "type": "loan",
          "valueUsd": 540000000,
          "pct": 45
        }
      ],
      "estimatedWithdrawalTime": "PT24H",
      "expectedProcessingTime": "PT12H"
    },
    {
      "id": "morpho-gauntlet-usdc",
      "name": "Morpho Gauntlet USDC Prime",
      "description": "Overcollateralized lending via a Morpho ERC-4626 USDC vault",
      "mode": "active",
      "apyBps": 472,
      "protocol": "morpho",
      "tvlUsd": 400000000,
      "utilizationPct": 59,
      "addresses": [
        {
          "label": "Vault",
          "value": "0xdd0f28e19C1780eb6396170735D45153D261490d"
        }
      ],
      "links": [
        {
          "label": "Morpho vault",
          "url": "https://app.morpho.org/ethereum/vault/0xdd0f28e19C1780eb6396170735D45153D261490d/gauntlet-usdc-prime"
        }
      ],
      "allocations": [
        {
          "label": "USDC / cbBTC",
          "type": "market",
          "valueUsd": 220000000,
          "pct": 55
        },
        {
          "label": "USDC / WETH",
          "type": "market",
          "valueUsd": 180000000,
          "pct": 45
        }
      ],
      "estimatedWithdrawalTime": "PT0H",
      "expectedProcessingTime": "PT0H"
    },
    {
      "id": "morpho-steakhouse-usdc",
      "name": "Morpho Steakhouse USDC Prime",
      "description": "Overcollateralized lending via a Morpho ERC-4626 USDC vault",
      "mode": "active",
      "apyBps": 468,
      "protocol": "morpho",
      "tvlUsd": 350000000,
      "utilizationPct": 63,
      "addresses": [
        {
          "label": "Vault",
          "value": "0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB"
        }
      ],
      "links": [
        {
          "label": "Morpho vault",
          "url": "https://app.morpho.org/ethereum/vault/0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB/steakhouse-usdc-prime"
        }
      ],
      "allocations": [
        {
          "label": "USDC / wstETH",
          "type": "market",
          "valueUsd": 210000000,
          "pct": 60
        },
        {
          "label": "USDC / WBTC",
          "type": "market",
          "valueUsd": 140000000,
          "pct": 40
        }
      ],
      "estimatedWithdrawalTime": "PT0H",
      "expectedProcessingTime": "PT0H"
    },
    {
      "id": "morpho-august-usdc-v2",
      "name": "Morpho August USDC V2",
      "description": "Overcollateralized lending via the Morpho August USDC V2 ERC-4626 vault",
      "mode": "active",
      "apyBps": 563,
      "protocol": "morpho",
      "tvlUsd": null,
      "utilizationPct": null,
      "addresses": [
        {
          "label": "Vault",
          "value": "0x7ceB0f01Cb7187a2EBED5661eCC4d5701d8F2350"
        }
      ],
      "links": [
        {
          "label": "Morpho vault",
          "url": "https://app.morpho.org/ethereum/vault/0x7ceB0f01Cb7187a2EBED5661eCC4d5701d8F2350/august-usdc-v2"
        }
      ],
      "allocations": [],
      "estimatedWithdrawalTime": "PT0H",
      "expectedProcessingTime": "PT0H"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Yield source catalog

yieldSources
object[]